Thanks <font color="#888888">Nick Gorham,And i checked my isql version just now and its right 2.2.14 ,<br>then i filed the lib libesoracle.a it show me this:<br>&nbsp;&nbsp;&nbsp; <br># file libesoracle.a<br>libesoracle.a: 64-bit XCOFF executable or object module not stripped<br>
<br>Such the problem pulzzed me two days and i&#39;ve no idea.That&#39;s really Thank you!<br></font><br><div class="gmail_quote">On Sun, Jan 18, 2009 at 6:28 PM, Nick Gorham <span dir="ltr">&lt;<a href="mailto:nick@lurcher.org">nick@lurcher.org</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;"><div><div></div><div class="Wj3C7c">w.h wrote:<br>
<br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
I was intended to install the unixodbc on my AIX 5.3 for the ORACLE 9i,<br>
but after i downloading the ORACLE driver of unixodbc from easysoft &nbsp;it gave me the following errors:<br>
 &nbsp; [01000][unixODBC][Driver Manager]Can&#39;t open lib &#39;/usr/local/easysoft/oracle/libesoracle.a&#39; : &nbsp; &nbsp;0509-022 Cannot load module /usr/local/easysoft/oracle/libesoracle.a.<br>
 &nbsp; &nbsp; &nbsp; &nbsp;0509-103 &nbsp; The module has an invalid magic number.<br>
<br>
My unixodbc version is 2.2.14 which had successfully installed ,and the driver is :<br>
&nbsp;odbc-oracle-3.2.17-aix50+-ppc64-ul64.<br>
<br>
There&#39;s a case that the lib and the driver in the path &#39;/usr/local/easysoft/oracle/&#39; is libesoracle.a not libesoracle.so,<br>
i don&#39;t does it ok ?Any friend have ideas,do help me !<br>
<br>
<br>
-- <br>
w.h<br>
</blockquote>
<br></div></div>
Hi,<br>
<br>
Thats odd, the best place for the question is <a href="mailto:support@easysoft.com" target="_blank">support@easysoft.com</a>, but anyway.<br>
<br>
What gave you that error? was it using the isql that came with the driver install? I guess not as you have 2.2.14?<br>
<br>
Can you do a file on the driver?<br>
<br>
 &nbsp; ile /usr/local/easysoft/oracle/libesoracle.a<br>
<br>
There should be no conflct between 2.2.14 and the driver, but I will check to see if something odd is going on.<br>
<br>
I have CC&#39;s this to <a href="mailto:support@easysoft.com" target="_blank">support@easysoft.com</a>, so they can add it to the tracking system.<br>
<br>
Thanks.<br><font color="#888888">
<br>
-- <br>
Nick Gorham<br>
_______________________________________________<br>
unixODBC-support mailing list<br>
<a href="mailto:unixODBC-support@mailman.unixodbc.org" target="_blank">unixODBC-support@mailman.unixodbc.org</a><br>
<a href="http://mailman.unixodbc.org/mailman/listinfo/unixodbc-support" target="_blank">http://mailman.unixodbc.org/mailman/listinfo/unixodbc-support</a><br>
</font></blockquote></div><br><br clear="all"><br>-- <br>w.h<br>